/*
 * Copyright 2018 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package ru.ispras.verilog.parser.sample;

import java.nio.file.Paths;

/**
 * Test for "if_else/test.v" Verilog module.
 *
 * @author <a href="mailto:kamkin@ispras.ru">Alexander Kamkin</a>
 */
public class IfElseTestCase extends VerilogPrinterTestCase {

  @Override
  public String[] getOptions() {
    return new String[] { "--module-name", "test" };
  }

  @Override
  public String[] getPaths() {
    return new String[]{ Paths.get("rest-tests", "if_else", "test.v").toString() };
  }
}
